const inline void FormulaCode(CVector4 &z, const sFractal *fractal, sExtendedAux &aux) override
	{
        
    global z.x;
    v0_5 = z.x;
    esi_global_2d_to_2d_local = arg1[48] # esi;
    fabs(z.z);
    fabs(z.y);
    fabs(z.x);
    v1_1b = __asm_fnstsw(fpsw_global_2d_to_2d_local);
    z.x = z.x & -0x10000 | v1_1b & -0xff01 | v1_1b / 2 & 0x7f00;
    if v1_1b & 256 != 0:;
        pass;
    v1_25 = __asm_fnstsw(fpsw_global_2d_to_2d_local) # bp+25;
    z.x = z.x & -0x10000 | v1_25 & -0xff01 | v1_25 / 2 & 0x7f00;
    v1_31 = __asm_fnstsw(fpsw_global_2d_to_2d_local) # bp+31;
    z.x = z.x & -0x10000 | v1_31 & -0xff01 | v1_31 / 2 & 0x7f00;
    v4_72 = *((esi_global_2d_to_2d_local - 16)) # bp+72;
    st7_global_2d_to_2d_local = v4_72 # st7;
    v3_75 = z.z + 8 # bp+75;
    *v3_75 = v4_72 * *v3_75;
    v4_7d = st7_global_2d_to_2d_local * st7_global_2d_to_2d_local;
    v4_7f = v4_7d * v4_7d;
    v4_85 = v4_7f - 1.0 # bp+85;
    v4_93 = v4_7f - v4_85 * *((esi_global_2d_to_2d_local - 24)) - v4_85 * *((esi_global_2d_to_2d_local - 32)) # bp+93;
    fabsl(v4_93 - v4_85 / v4_93 * *((esi_global_2d_to_2d_local - 40)));
    v4_a0 = 0.0;
    v4_a2 = v4_a0 * v4_a0;
    st7_global_2d_to_2d_local = v4_a2;
    *z.y = v4_a2;
    *v0_5 = st7_global_2d_to_2d_local;
    *z.z = st7_global_2d_to_2d_local;
    z.x = v0_5;
    return v0_5;


	}